<!DOCTYPE html>
<html lang="ru">
  <head>
    <title>PD2AF - a conversion tool for SBGN diagrams</title>
<meta charset="utf-8">
<link rel="stylesheet" href="styles/common.css">
<link href="https://fonts.googleapis.com/css?family=Merriweather+Sans:400,800" rel="stylesheet">

    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.4/angular.min.js"></script>
    <script src="angular/specification.js"></script>
    <link rel="stylesheet" href="styles/specification.css">
  </head>
  <body ng-app="specification" ng-controller="specification_controller">
    <div class="page_container">
      <header>
  <div class="logo">
    <img src="img/pd2af_logo.png" alt="pd2af logo" />
  </div>
  <nav>
    <a href="index.html" >Start</a><a href="specification.html" >Specification</a><a href="cases.html" class="current_page_nav">Cases</a><a href="translator.html" >Try it!</a>
  </nav>
</header>


			<h1>Cases of translation rules</h1>

      

      

      <div class="expandable_block">
  <div class="expandable_header skipped" ng-class="{set_failed: bugs[1], set_passed: !bugs[1] && passed[1] > 0}">
    <div class="window_button maximize" ng-hide="show[1]" ng-click="toggle_show(1)"></div>
    <div class="window_button minimize" ng-show="show[1]" ng-click="toggle_show(1)"></div>
    <!--(define tabtree (parse-tab-tree "../tests/test-results.tree"))-->
    <h2>Cases <span>#(failed[1])#/#(passed[1])#</span></h2>
  </div>
  <div class="expandable_body" ng-show="show[1]">
    
      <h3>1.1 Posttranslational modification 1</h3>
      <div><div class="test_button passed" ng-init="increment_passed(1)"></div>
      </div>
      <table class="rules-table">
        <tr>
          <td>
            <div><img src="specification/posttranslational_modification_1/pd.png" width="240" /></div>
          </td>
          <td>
            <img src="specification/posttranslational_modification_1/af.png" width="78" />
          </td>
        </tr>
        <tr style="font-size:90%;" class="links">
          <td>
            <a href="specification/posttranslational_modification_1/pd.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/posttranslational_modification_1/pd.sbgn" target="_blank">Newt</a>
          </td>
          <td>
            <a href="specification/posttranslational_modification_1/af.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/posttranslational_modification_1/af.sbgn" target="_blank">Newt</a>
          </td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
      </table>
    
      <h3>1.2 Metabolic event 1</h3>
      <div><div class="test_button passed" ng-init="increment_passed(1)"></div>
      </div>
      <table class="rules-table">
        <tr>
          <td>
            <div><img src="specification/metabolic_event_1/pd.png" width="238" /></div>
          </td>
          <td>
            <img src="specification/metabolic_event_1/af.png" width="238" />
          </td>
        </tr>
        <tr style="font-size:90%;" class="links">
          <td>
            <a href="specification/metabolic_event_1/pd.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/metabolic_event_1/pd.sbgn" target="_blank">Newt</a>
          </td>
          <td>
            <a href="specification/metabolic_event_1/af.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/metabolic_event_1/af.sbgn" target="_blank">Newt</a>
          </td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
      </table>
    
      <h3>1.3 dimerization</h3>
      <div><div class="test_button passed" ng-init="increment_passed(1)"></div>
      </div>
      <table class="rules-table">
        <tr>
          <td>
            <div><img src="specification/dimerization/pd.png" width="78" /></div>
          </td>
          <td>
            <img src="specification/dimerization/af.png" width="70" />
          </td>
        </tr>
        <tr style="font-size:90%;" class="links">
          <td>
            <a href="specification/dimerization/pd.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/dimerization/pd.sbgn" target="_blank">Newt</a>
          </td>
          <td>
            <a href="specification/dimerization/af.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/dimerization/af.sbgn" target="_blank">Newt</a>
          </td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
      </table>
    
      <h3>1.4 oligomerization-octomer</h3>
      <div><div class="test_button passed" ng-init="increment_passed(1)"></div>
      </div>
      <table class="rules-table">
        <tr>
          <td>
            <div><img src="specification/oligomerization-octomer/pd.png" width="78" /></div>
          </td>
          <td>
            <img src="specification/oligomerization-octomer/af.png" width="70" />
          </td>
        </tr>
        <tr style="font-size:90%;" class="links">
          <td>
            <a href="specification/oligomerization-octomer/pd.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/oligomerization-octomer/pd.sbgn" target="_blank">Newt</a>
          </td>
          <td>
            <a href="specification/oligomerization-octomer/af.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/oligomerization-octomer/af.sbgn" target="_blank">Newt</a>
          </td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
      </table>
    
      <h3>1.5 Complex association with complex name</h3>
      <div><div class="test_button passed" ng-init="increment_passed(1)"></div>
      </div>
      <table class="rules-table">
        <tr>
          <td>
            <div><img src="specification/complex_association_with_complex_name/pd.png" width="246" /></div>
          </td>
          <td>
            <img src="specification/complex_association_with_complex_name/af.png" width="230" />
          </td>
        </tr>
        <tr style="font-size:90%;" class="links">
          <td>
            <a href="specification/complex_association_with_complex_name/pd.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/complex_association_with_complex_name/pd.sbgn" target="_blank">Newt</a>
          </td>
          <td>
            <a href="specification/complex_association_with_complex_name/af.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/complex_association_with_complex_name/af.sbgn" target="_blank">Newt</a>
          </td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
      </table>
    
      <h3>1.6 Complex association</h3>
      <div><div class="test_button passed" ng-init="increment_passed(1)"></div>
      </div>
      <table class="rules-table">
        <tr>
          <td>
            <div><img src="specification/complex_association/pd.png" width="258" /></div>
          </td>
          <td>
            <img src="specification/complex_association/af.png" width="230" />
          </td>
        </tr>
        <tr style="font-size:90%;" class="links">
          <td>
            <a href="specification/complex_association/pd.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/complex_association/pd.sbgn" target="_blank">Newt</a>
          </td>
          <td>
            <a href="specification/complex_association/af.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/complex_association/af.sbgn" target="_blank">Newt</a>
          </td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
      </table>
    
      <h3>1.7 Complex association regulated</h3>
      <div><div class="test_button passed" ng-init="increment_passed(1)"></div>
      </div>
      <table class="rules-table">
        <tr>
          <td>
            <div><img src="specification/complex_association_regulated/pd.png" width="246" /></div>
          </td>
          <td>
            <img src="specification/complex_association_regulated/af.png" width="190" />
          </td>
        </tr>
        <tr style="font-size:90%;" class="links">
          <td>
            <a href="specification/complex_association_regulated/pd.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/complex_association_regulated/pd.sbgn" target="_blank">Newt</a>
          </td>
          <td>
            <a href="specification/complex_association_regulated/af.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/complex_association_regulated/af.sbgn" target="_blank">Newt</a>
          </td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
      </table>
    
      <h3>1.8 Complex dissociation</h3>
      <div><div class="test_button passed" ng-init="increment_passed(1)"></div>
      </div>
      <table class="rules-table">
        <tr>
          <td>
            <div><img src="specification/complex_dissociation/pd.png" width="230" /></div>
          </td>
          <td>
            <img src="specification/complex_dissociation/af.png" width="230" />
          </td>
        </tr>
        <tr style="font-size:90%;" class="links">
          <td>
            <a href="specification/complex_dissociation/pd.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/complex_dissociation/pd.sbgn" target="_blank">Newt</a>
          </td>
          <td>
            <a href="specification/complex_dissociation/af.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/complex_dissociation/af.sbgn" target="_blank">Newt</a>
          </td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
      </table>
    
      <h3>1.9 Gene expression</h3>
      <div><div class="test_button failed" ng-init="increment_failed(1); set_bugs_flag(1)"></div>
      </div>
      <table class="rules-table">
        <tr>
          <td>
            <div><img src="specification/gene_expression/pd.png" width="444" /></div>
          </td>
          <td>
            <img src="specification/gene_expression/af.png" width="284" />
          </td>
        </tr>
        <tr style="font-size:90%;" class="links">
          <td>
            <a href="specification/gene_expression/pd.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/gene_expression/pd.sbgn" target="_blank">Newt</a>
          </td>
          <td>
            <a href="specification/gene_expression/af.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/gene_expression/af.sbgn" target="_blank">Newt</a>
          </td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
      </table>
    
      <h3>1.10 Translocation 1</h3>
      <div><div class="test_button passed" ng-init="increment_passed(1)"></div>
      </div>
      <table class="rules-table">
        <tr>
          <td>
            <div><img src="specification/translocation_1/pd.png" width="124" /></div>
          </td>
          <td>
            <img src="specification/translocation_1/af.png" width="124" />
          </td>
        </tr>
        <tr style="font-size:90%;" class="links">
          <td>
            <a href="specification/translocation_1/pd.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/translocation_1/pd.sbgn" target="_blank">Newt</a>
          </td>
          <td>
            <a href="specification/translocation_1/af.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/translocation_1/af.sbgn" target="_blank">Newt</a>
          </td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
      </table>
    
      <h3>1.11 Translocation 2</h3>
      <div><div class="test_button passed" ng-init="increment_passed(1)"></div>
      </div>
      <table class="rules-table">
        <tr>
          <td>
            <div><img src="specification/translocation_2/pd.png" width="204" /></div>
          </td>
          <td>
            <img src="specification/translocation_2/af.png" width="284" />
          </td>
        </tr>
        <tr style="font-size:90%;" class="links">
          <td>
            <a href="specification/translocation_2/pd.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/translocation_2/pd.sbgn" target="_blank">Newt</a>
          </td>
          <td>
            <a href="specification/translocation_2/af.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/translocation_2/af.sbgn" target="_blank">Newt</a>
          </td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
      </table>
    
      <h3>1.12 Empty set 1</h3>
      <div><div class="test_button passed" ng-init="increment_passed(1)"></div>
      </div>
      <table class="rules-table">
        <tr>
          <td>
            <div><img src="specification/empty_set_1/pd.png" width="224" /></div>
          </td>
          <td>
            <img src="specification/empty_set_1/af.png" width="70" />
          </td>
        </tr>
        <tr style="font-size:90%;" class="links">
          <td>
            <a href="specification/empty_set_1/pd.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/empty_set_1/pd.sbgn" target="_blank">Newt</a>
          </td>
          <td>
            <a href="specification/empty_set_1/af.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/empty_set_1/af.sbgn" target="_blank">Newt</a>
          </td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
      </table>
    
      <h3>1.13 Empty set 2</h3>
      <div><div class="test_button passed" ng-init="increment_passed(1)"></div>
      </div>
      <table class="rules-table">
        <tr>
          <td>
            <div><img src="specification/empty_set_2/pd.png" width="218" /></div>
          </td>
          <td>
            <img src="specification/empty_set_2/af.png" width="70" />
          </td>
        </tr>
        <tr style="font-size:90%;" class="links">
          <td>
            <a href="specification/empty_set_2/pd.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/empty_set_2/pd.sbgn" target="_blank">Newt</a>
          </td>
          <td>
            <a href="specification/empty_set_2/af.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/empty_set_2/af.sbgn" target="_blank">Newt</a>
          </td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
      </table>
    
      <h3>1.14 Pattern 1</h3>
      <div><div class="test_button passed" ng-init="increment_passed(1)"></div>
      </div>
      <table class="rules-table">
        <tr>
          <td>
            <div><img src="specification/pattern_1/pd.png" width="392" /></div>
          </td>
          <td>
            <img src="specification/pattern_1/af.png" width="70" />
          </td>
        </tr>
        <tr style="font-size:90%;" class="links">
          <td>
            <a href="specification/pattern_1/pd.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/pattern_1/pd.sbgn" target="_blank">Newt</a>
          </td>
          <td>
            <a href="specification/pattern_1/af.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/pattern_1/af.sbgn" target="_blank">Newt</a>
          </td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
      </table>
    
      <h3>1.15 Pattern 2</h3>
      <div><div class="test_button passed" ng-init="increment_passed(1)"></div>
      </div>
      <table class="rules-table">
        <tr>
          <td>
            <div><img src="specification/pattern_2/pd.png" width="392" /></div>
          </td>
          <td>
            <img src="specification/pattern_2/af.png" width="230" />
          </td>
        </tr>
        <tr style="font-size:90%;" class="links">
          <td>
            <a href="specification/pattern_2/pd.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/pattern_2/pd.sbgn" target="_blank">Newt</a>
          </td>
          <td>
            <a href="specification/pattern_2/af.sbgn">SBGN-ML</a>&ensp;<a href="http://web.newteditor.org/?URL=http://188.166.159.222/specification/pattern_2/af.sbgn" target="_blank">Newt</a>
          </td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
        <tr style="line-height: 3em;">
          <td colspan="2" style="text-align:left;"></td>
        </tr>
      </table>
    
  </div>
</div>


      <div class="placeholder" ng-hide="show1 || show2"></div>

      <footer>
  <div>Page generated <b>30.07.2019</b></div>
</footer>

      <!-- Yandex.Metrika counter -->
<script type="text/javascript" >
   (function(m,e,t,r,i,k,a){m[i]=m[i]||function(){(m[i].a=m[i].a||[]).push(arguments)};
   m[i].l=1*new Date();k=e.createElement(t),a=e.getElementsByTagName(t)[0],k.async=1,k.src=r,a.parentNode.insertBefore(k,a)})
   (window, document, "script", "https://mc.yandex.ru/metrika/tag.js", "ym");

   ym(52309366, "init", {
        id:52309366,
        clickmap:true,
        trackLinks:true,
        accurateTrackBounce:true,
        webvisor:true
   });
</script>
<noscript><div><img src="https://mc.yandex.ru/watch/52309366" style="position:absolute; left:-9999px;" alt="" /></div></noscript>
<!-- /Yandex.Metrika counter -->

    </div>
  </body>
</html>
